/****************************************************************************
** $Id: qbitmap.h,v 1.22 1996/06/06 06:58:36 eiriken Exp $
**
** Definition of QBitmap class
**
** Author  : Haavard Nord
** Created : 941020
**
** Copyright (C) 1992-1996 Troll Tech AS.  All rights reserved.
**
** This file is part of the non-commercial distribution of Qt 0.99
** see the file LICENSE included in the distribution for the usage
** and distribution terms, or http://www.troll.no/qt/license.html.
**
** (This file differs from the commercial version of Qt only by this comment.)
**
*****************************************************************************/

#ifndef QBITMAP_H
#define QBITMAP_H

#include "qpixmap.h"


class QBitmap : public QPixmap			// bitmap class
{
public:
    QBitmap();
    QBitmap( int w, int h,  bool clear = FALSE );
    QBitmap( const QSize &, bool clear = FALSE	);
    QBitmap( int w, int h,  const uchar *bits, bool isXbitmap=FALSE );
    QBitmap( const QSize &, const uchar *bits, bool isXbitmap=FALSE );
    QBitmap( const QBitmap & );

    QBitmap &operator=( const QBitmap & );
    QBitmap &operator=( const QPixmap & );
    QBitmap &operator=( const QImage  & );

    QBitmap  xForm( const QWMatrix & ) const;

#if defined(OBSOLETE)
public:
    QBitmap( int w, int h,  const char *bits, bool isXbitmap=FALSE );
    QBitmap( const QSize &s, const char *bits, bool isXbitmap=FALSE );
#endif
};


#if defined(OBSOLETE)
inline QBitmap::QBitmap( int w, int h,  const char *bits, bool isXBitmap )
    : QPixmap( w, h, (const uchar *)bits, isXBitmap )
{ 
    qObsolete( "QBitmap", "QBitmap(int, int, const char *, bool )",
	       "QBitmap(int, int, const uchar *, bool )" );
    data->bitmap = TRUE; 
}
inline QBitmap::QBitmap( const QSize &s, const char *bits, bool isXBitmap )
    : QPixmap( s.width(), s.height(), (const uchar *)bits, isXBitmap )
{ 
    qObsolete( "QBitmap", "QBitmap( const QSize &s, const char *, bool )",
	       "QBitmap( const QSize &s, const uchar *, bool )" );
    data->bitmap = TRUE; 
}
#endif

#endif // QBITMAP_H
