/****************************************************************************
** $Id: qsocknot.h,v 1.8 1996/07/01 10:13:43 hanord Exp $
**
** Definition of QSocketNotifier class
**
** Author  : Haavard Nord
** Created : 951114
**
** Copyright (C) 1992-1996 Troll Tech AS.  All rights reserved.
**
** This file is part of the non-commercial distribution of Qt 0.99
** see the file LICENSE included in the distribution for the usage
** and distribution terms, or http://www.troll.no/qt/license.html.
**
** (This file differs from the commercial version of Qt only by this comment.)
**
*****************************************************************************/

#ifndef QSOCKNOT_H
#define QSOCKNOT_H

#include "qobject.h"


class QSocketNotifier : public QObject
{
    Q_OBJECT
public:
    enum Type { Read, Write, Exception };

    QSocketNotifier( int socket, Type, QObject *parent=0, const char *name=0 );
   ~QSocketNotifier();

    int		socket()	const;
    Type	type()		const;

    bool	isEnabled()	const;
    void	setEnabled( bool );

signals:
    void	activated( int socket );

protected:
    bool	event( QEvent * );

private:
    int		sockfd;
    Type	sntype;
    bool	snenabled;

#if defined(OBSOLETE)
public:
    bool	enabled()	const;
#endif


private:	// Disabled copy constructor and operator=
    QSocketNotifier( const QSocketNotifier & ) {}
    QSocketNotifier &operator=( const QSocketNotifier & ) { return *this; }
};


inline int QSocketNotifier::socket() const
{ return sockfd; }

inline QSocketNotifier::Type QSocketNotifier::type() const
{ return sntype; }

inline bool QSocketNotifier::isEnabled() const
{ return snenabled; }

#if defined(OBSOLETE)
inline bool QSocketNotifier::enabled() const
{
    qObsolete("QSocketNotifier","enabled","isEnabled");
    return isEnabled(); 
}
#endif

#endif // QSOCKNOT_H
